Portfolio Manager/Organization Loan Tape
Download pledged loans
GET
/external /secure /api /v2 /portfolio /organization /download /pledgedRequest
Query parameters
layoutIdstring<uuid>RequiredID of CSV layout
assetTypeIdstring<uuid>ID of asset type to query assets for. Required if assetGroupId is not provided.
assetGroupIdstring<uuid>ID of asset group to filter assets with. Required if assetTypeId is not provided.
snapshotDatestring<date>Date in which assets were actively encumbered by a warehouse
cutoffDatestringCutoff date for requested asset data
Headers
apikeystringProvided key used to access the application's api
Responses
200CSV record of pledged loan data based on the specified asset type, layout, and cutoff date
Returns the file as text/plain.
Response
Returns the file itself (text/plain).
GET
/external /secure /api /v2 /portfolio /organization /download /pledgedResponse
Returns the file itself (text/plain).